function [chirprate, tau, fc, t0, t1, dt, prf] = readplatform ( fn )

xDoc = xmlread( fn );

chirprate = double(str2num(xDoc.getElementsByTagName('chirprate').item(0).getTextContent.toString));
fc = double(str2num(xDoc.getElementsByTagName('center').item(0).getTextContent.toString));
fc = fc * 1e9;
t0 = double(str2num(xDoc.getElementsByTagName('min').item(0).getTextContent.toString));
t1 = double(str2num(xDoc.getElementsByTagName('max').item(0).getTextContent.toString));
dt = double(str2num(xDoc.getElementsByTagName('delta').item(0).getTextContent.toString));
prf = double(str2num(xDoc.getElementsByTagName('clockrate').item(0).getTextContent.toString));
tau = double(str2num(xDoc.getElementsByTagName('pulseduration').item(0).getTextContent.toString));
end
